Subject: [os2genau_digest] No. 746
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 12 Dec 2003 00:04:02 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 11 December 2003
 Number  746
**************************************************

Subjects for today
 
1   SEC: UNCLASSIFIED:-Re:  OS/2 CP owners : Dennis.Nolan at defence.gov.au
2  Re:  OS/2 CP owners : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
3   jeliyujd at tiscali.it - You *ARE* Infected ! : Ed Durrant <edurrant at bigpond dot net dot au>
4  Re:  [eCS] someone at tiscali.it spamming problem- Clarification : Ed Durrant <edurrant at bigpond dot net dot au>
5   USB Driver Installation : Dennis Nolan <denny at alphalink dot com dot au>
6  Re:  USB Driver Installation : Ed Durrant <edurrant at bigpond dot net dot au>
7   Java 1.42 : Alan Duval" <amoht at ozemail dot com dot au>

**= Email   1 ==========================**

Date:  Thu, 11 Dec 2003 08:16:48 +1000
From:  Dennis.Nolan at defence.gov.au
Subject:   SEC: UNCLASSIFIED:-Re:  OS/2 CP owners

Hi All

As I recall, several versions ago, when upgrading, the old desktop was 
preserved and at the end of the install you were given the option of using 
the old desktop. This only happened if you did not format the partition 
during the install. As I allways format during the install, I have no idea 
if this capability is still included.

The main problem when reinstalling or upgrading is that applications need 
to be reinstalled. Some applications in the past had a re-registering 
program, ie recreate the desktop objects and and everything else without 
going through the complete install process.

Now if applications all had these re-registering programs, then all that 
is needed is a register of these re-registering programs, and a program 
that is capable of reading the register and running the programs listed 
there.

Regards

Dennis

Please respond to os2genau at os2 dot org dot au
To:     "os2genau at os2 dot org dot au" <os2genau at os2 dot org dot au>
cc: 

Subject:        Re:  OS/2 CP owners

Hi All,

If I understand the drift of this discussion, essentially users are saying 
they want a means
of an Upgrade Installation that would preserve their old desktop and 
customisations.?

Actually Deskbak/2 would not be the ideal choice here as the restore from 
Deskbak/2
would only replace the original OS2*.ini files, config.sys and the desktop 
on top of
the new installation.  All the eCS and/or CP specific bits would have to 
be re-registered
with the config.sys and os2*.ini files, if this is possible.

All you would achieve by the upgrade attempt and Deskbak/2 restore would 
be to
update the underlying files and leave the desktop the same.  If it worked 
at all.!
There would be almost no advantage to upgrade to eCS/CP.
And some things might not work at all because some of the files are in 
different
locations and will not be referenced in the Libpath, Path and Dpath etc..

The best way would be to install to another partition and slowly over 
time, move the files
around bit by bit until the underlying files and directory names on the 
old installation are
the same.

The closer you can get the old os2 to resemble the new eCS/CP, the better 
for the final
upgrade install.  It is actually easier than you might think.  In this 
instance an upgrade install
over the top of the old Warp4 would stand a better chance of success 
because the differences
in the directories and files location would have been massaged out before 
the attempt.

A typical example is that the TEMP and TMP statements and variables now 
use
?:\Var\Temp instead of ?:\TCPIP\TMP.

The config.sys files could be easily compared and the whole process would 
aid you in
familiarising yourself with changes in eCS/CP.  An upgrade install would 
be more likely
to conclude successfully with CP rather than eCS and there would probably 
be less
work overall.

I have done a partial upgrade install in the past by using Object 
Desktop's Package system.
Simply install OD into BOTH partitions, save the Desktops in BOTH to a 
package file.
Opening up the package file on the other os will enable you to customise 
by dragging and
dropping the folder and program objects onto the desktop.  The act of 
dragging and dropping
will ensure that the appropriate folders and program objects are recreated 
and registered
properly on the new os.  Or, use the OD package to create a rexx file 
which can be edited
and run on ANY os2 os.  Simply editing the rexx file to change the drive 
letter will help
in registering classes etc.

So to sum up, this would also be the ideal time to update the hard drive 
as well.
Xcopy or image from the old to the new hard drive and create an extra 
partition.
The old hard drive is then still intact and becomes a backup that can be 
easily
restored if need be.

Now install CP or eCS to the new partition and do any customisations that 
you
want to either os.  If you bugger up, you have an actual working backup 
hard
drive to fall back on or to reimage and try again.  You can't lose.
(Except a few $$$$.)
When you are confident that the old Warp 4 resembles CP/eCS try an upgrade
install or rely on OD package system to add the old custom bits to the new 
os.

Just my two cents worth.

Robert Traynor (BobT).
10 December 2003   16:03

On Wed, 10 Dec 2003 14:14:10 +1100 (AEDT), John Angelico wrote:
> On Wed, 10 Dec 2003 23:11:16 +1000, Michael Barrow wrote:
>
> Michael, as a member of the MelbPC OS/2 SIG you are entitled to buy a 
copy
> of Andrew Keil's DeskBak v3 object only (since he has lost track of the
> source) at an unbeatable price (which I can reveal only off the list).
>
> I still use it here on our eCS systems.
>
> This is on list in case other members of MelbPC OS/2 SIG are not aware 
of
> this special arrangement negotiated with Andrew himself <g>.
>
> Best regards
> John Angelico
> OS/2 SIG
> talldad at kepl dot com dot au
> ________________________

,-._|\       Robert Traynor        (BobT)
/  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
\_,--.x/

----------------------------------------------------------------------------------

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 11 Dec 2003 09:49:34 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  OS/2 CP owners

Hi Dennis,

On Thu, 11 Dec 2003 08:16:48 +1000, Dennis.Nolan at defence.gov.au wrote:

> Hi All
> As I recall, several versions ago, when upgrading, the old desktop was 
> preserved and at the end of the install you were given the option of using 
> the old desktop. This only happened if you did not format the partition 
> during the install. As I allways format during the install, I have no idea 
> if this capability is still included.

To be honest, I can't remember if I had an "Old Desktop folder", I don't
think I saw one when I last did an upgrade install with eCS 1.0.

> The main problem when reinstalling or upgrading is that applications need 
> to be reinstalled. Some applications in the past had a re-registering 
> program, ie recreate the desktop objects and and everything else without 
> going through the complete install process.
> 
> Now if applications all had these re-registering programs, then all that 
> is needed is a register of these re-registering programs, and a program 
> that is capable of reading the register and running the programs listed 
> there.

Not all programs have these re-registering programs, but I suppose you 
could simply re-install over the top anyway.

> Regards
> Dennis

Robert Traynor (BobT).
11 December 2003   9:48

> Please respond to os2genau at os2 dot org dot au
> To:     "os2genau at os2 dot org dot au" <os2genau at os2 dot org dot au>
> cc: 
> 
> Subject:        Re:  OS/2 CP owners
> 
> Hi All,
> 
> If I understand the drift of this discussion, essentially users are saying 
> they want a means
> of an Upgrade Installation that would preserve their old desktop and 
> customisations.?
> 
> 
> Actually Deskbak/2 would not be the ideal choice here as the restore from 
> Deskbak/2
> would only replace the original OS2*.ini files, config.sys and the desktop 
> on top of
> the new installation.  All the eCS and/or CP specific bits would have to 
> be re-registered
> with the config.sys and os2*.ini files, if this is possible.
> 
> All you would achieve by the upgrade attempt and Deskbak/2 restore would 
> be to
> update the underlying files and leave the desktop the same.  If it worked 
> at all.!
> There would be almost no advantage to upgrade to eCS/CP.
> And some things might not work at all because some of the files are in 
> different
> locations and will not be referenced in the Libpath, Path and Dpath etc..
> 
> The best way would be to install to another partition and slowly over 
> time, move the files
> around bit by bit until the underlying files and directory names on the 
> old installation are
> the same.
> 
> The closer you can get the old os2 to resemble the new eCS/CP, the better 
> for the final
> upgrade install.  It is actually easier than you might think.  In this 
> instance an upgrade install
> over the top of the old Warp4 would stand a better chance of success 
> because the differences
> in the directories and files location would have been massaged out before 
> the attempt.
> 
> A typical example is that the TEMP and TMP statements and variables now 
> use
> ?:\Var\Temp instead of ?:\TCPIP\TMP.
> 
> The config.sys files could be easily compared and the whole process would 
> aid you in
> familiarising yourself with changes in eCS/CP.  An upgrade install would 
> be more likely
> to conclude successfully with CP rather than eCS and there would probably 
> be less
> work overall.
> 
> 
> I have done a partial upgrade install in the past by using Object 
> Desktop's Package system.
> Simply install OD into BOTH partitions, save the Desktops in BOTH to a 
> package file.
> Opening up the package file on the other os will enable you to customise 
> by dragging and
> dropping the folder and program objects onto the desktop.  The act of 
> dragging and dropping
> will ensure that the appropriate folders and program objects are recreated 
> and registered
> properly on the new os.  Or, use the OD package to create a rexx file 
> which can be edited
> and run on ANY os2 os.  Simply editing the rexx file to change the drive 
> letter will help
> in registering classes etc.
> 
> 
> So to sum up, this would also be the ideal time to update the hard drive 
> as well.
> Xcopy or image from the old to the new hard drive and create an extra 
> partition.
> The old hard drive is then still intact and becomes a backup that can be 
> easily
> restored if need be.
> 
> Now install CP or eCS to the new partition and do any customisations that 
> you
> want to either os.  If you bugger up, you have an actual working backup 
> hard
> drive to fall back on or to reimage and try again.  You can't lose.
> (Except a few $$$$.)
> When you are confident that the old Warp 4 resembles CP/eCS try an upgrade
> install or rely on OD package system to add the old custom bits to the new 
> os.
> 
> Just my two cents worth.
> 
> Robert Traynor (BobT).
> 10 December 2003   16:03
> 
> 
> On Wed, 10 Dec 2003 14:14:10 +1100 (AEDT), John Angelico wrote:
> > On Wed, 10 Dec 2003 23:11:16 +1000, Michael Barrow wrote:
> >
> > Michael, as a member of the MelbPC OS/2 SIG you are entitled to buy a 
> copy
> > of Andrew Keil's DeskBak v3 object only (since he has lost track of the
> > source) at an unbeatable price (which I can reveal only off the list).
> >
> > I still use it here on our eCS systems.
> >
> > This is on list in case other members of MelbPC OS/2 SIG are not aware 
> of
> > this special arrangement negotiated with Andrew himself <g>.
> >
> > Best regards
> > John Angelico
> > OS/2 SIG
> > talldad at kepl dot com dot au

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Thu, 11 Dec 2003 10:35:39 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:   jeliyujd at tiscali.it - You *ARE* Infected !

Hi, whoever you are - You have been sending me spoofed emails that
look like microsoft security alert bulletins over the last few weeks,
probably because you have my email address in your MS Outlook address
book.

I think you probably don't realise this and in fact your system is
infected with a virus. PLEASE run a virus scan and apply the
appropriate Microsoft security patches or better still erase windows
and install an alternative non-virus prone operating system such as
OS/2 or eComstation.

If this "spamming" does not stop, I will request your ISP to be
blacklisted, which will stop all communication from tiscali.it to the
internet.

By copy to the OS2GENAU and eComStation lists, I believe there is an
OS/2 developer on tiscali.it, have any of you been receiving these
Spoofed Microsoft alert messages as he may have your email ID in his
outlook address book ??

Cheers/2

Ed Durrant.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 11 Dec 2003 11:06:06 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  [eCS] someone at tiscali.it spamming problem- Clarification

To Alan and those on OS2GENAU and eComStation lists.

NO NO NO,

  Alan - I posted (as CC only) to the os2genau and ecomstation lists, to ask if anyone else
was getting spam from someone on Tiscali.IT (an Italian ISP) - there is an OS/2  developer who
is on this ISP and I suspect it is he who is infected and spamming contactsd in his MS Outlook
address book.

  I was hoping someone may come up with his correct name and email address - my mail to
jeliyujd got rejected as user unknown by the ISPs mailserver, so this part of the ID obviously
has been altered, however the headers on the spammed mail definately point to this Italian
ISP.

Cheers/2

Ed.

Alan Heiser wrote:

> Ed
>
> Don't know if this (2 identical actually) came from you or someone with both our names
> in their address book.
> Just in case it is you, upset with me, I will defend myself <g>
> I don't use MS Outlook - try not to use MS at all.  I am running eComStation with PM Mail,
> and you are certainly not in my PM Mail Address Book.
>
> tiscali.it is completely unknown to me.
>
> OS2GENAU and eComStation lists I post to occasionally, but they are direct postings,
> not copying or forwarding any other emails...
>
> Seems like someone on these lists has an outlook problem.
>
> Regards
>
> Alan Heiser
>
> On Thu, 11 Dec 2003 10:35:39 +1100, Ed Durrant wrote:
>
> >Hi, whoever you are - You have been sending me spoofed emails that
> >look like microsoft security alert bulletins over the last few weeks,
> >probably because you have my email address in your MS Outlook address
> >book.
> >
> >I think you probably don't realise this and in fact your system is
> >infected with a virus. PLEASE run a virus scan and apply the
> >appropriate Microsoft security patches or better still erase windows
> >and install an alternative non-virus prone operating system such as
> >OS/2 or eComstation.
> >
> >If this "spamming" does not stop, I will request your ISP to be
> >blacklisted, which will stop all communication from tiscali.it to the
> >internet.
> >
> >By copy to the OS2GENAU and eComStation lists, I believe there is an
> >OS/2 developer on tiscali.it, have any of you been receiving these
> >Spoofed Microsoft alert messages as he may have your email ID in his
> >outlook address book ??
> >
> >Cheers/2
> >
> >Ed Durrant.
> >
> >Yahoo! Groups Sponsor ADVERTISEMENT
> >
> >Please don't post tech support requests to this list. Use news.ecomstation.nl.
> >
> >To unsubscribe, send email to:
> >eComStation-unsubscribe at egroups dot com
> >
> >
> >
> >Your use of Yahoo! Groups is subject to the Yahoo! Terms of Service.
> >

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Thu, 11 Dec 2003 21:31:10 +1100
From:  Dennis Nolan <denny at alphalink dot com dot au>
Subject:   USB Driver Installation

Hi All
I went and bought an Olympus C50 Zoom digital camera, and now find that 
I am unable to get it to talk to the computer.
The camera says it has a USB 2.0 interface.

The computer also sports a USB 2.0 interface.

After a lot of screwing about I've ended up with the following in my 
Config.sys

BASEDEV=USBEHCD.SYS /V
BASEDEV=USBOHCD.SYS /V

BASEDEV=USBD.SYS /REQ:USBEHCD$ /REQ:USBOHCD$
BASEDEV=USBD.SYS /REQ:USBEHCD$ /REQ:USBOHCD$
BASEDEV=USBHID.SYS /V
BASEDEV=USBMSD.ADD /V
BASEDEV=USBCDROM.ADD /V

When booting I get reports that all of the above have installed

*/Hardware manager/*   reports the following
USB HID Class Driver
USB Root Hub Device_0.0.1
USB Root Hub Device_1.0.1
USB Root Hub Controller
USB Root Hub Controller
OHCI Complient USB Host Controller
EHCI Complient USB Host Controller

*/Drives Folder/*  
Has an extra CD Drive Icon as Drive T

*/LVM  /*Flashes up with a Drive Error Dialog reporting
The following drive number has incorect partitioning information :3
When dismissed another Drive Error Dialog reports
The following drive number has failed the last IO operation :3
[D3]
96MB with a removeable disk icon is shown

*/Hcimonit.Exe/* reports
You have 3 PCI USB OHCI host controller(s)
You have 1 PCI ESB OHCI host controller(s)

*/Usbres.exe/* 
When run it reports USB Driver not found

Finaly when I plug in the camera the memory access led flashes for a 
second or two,
but Refresh Removable Media has no effect

The motherboard uses a SiS 746 and SiS963 chipset.

Any comments or advice would be welcome

Regards

Dennis

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Thu, 11 Dec 2003 20:49:11 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  USB Driver Installation

There was a patched USBMSD driver created for the Olympus C-1 perhaps Olympus are
simply non standard ? You might like to try with the patched C1 driver - you never
know !

You can get it and lots of information on how to set up OS/2 USB at:

http://www.os2world dot com/os2usb/

Cheers/2

Ed.

Dennis Nolan wrote:

> Hi All
> I went and bought an Olympus C50 Zoom digital camera, and now find that
> I am unable to get it to talk to the computer.
> The camera says it has a USB 2.0 interface.
>
> The computer also sports a USB 2.0 interface.
>
> After a lot of screwing about I've ended up with the following in my
> Config.sys
>
> BASEDEV=USBEHCD.SYS /V
> BASEDEV=USBOHCD.SYS /V
>
> BASEDEV=USBD.SYS /REQ:USBEHCD$ /REQ:USBOHCD$
> BASEDEV=USBD.SYS /REQ:USBEHCD$ /REQ:USBOHCD$
> BASEDEV=USBHID.SYS /V
> BASEDEV=USBMSD.ADD /V
> BASEDEV=USBCDROM.ADD /V
>
> When booting I get reports that all of the above have installed
>
> */Hardware manager/*   reports the following
> USB HID Class Driver
> USB Root Hub Device_0.0.1
> USB Root Hub Device_1.0.1
> USB Root Hub Controller
> USB Root Hub Controller
> OHCI Complient USB Host Controller
> EHCI Complient USB Host Controller
>
> */Drives Folder/*
> Has an extra CD Drive Icon as Drive T
>
> */LVM  /*Flashes up with a Drive Error Dialog reporting
> The following drive number has incorect partitioning information :3
> When dismissed another Drive Error Dialog reports
> The following drive number has failed the last IO operation :3
> [D3]
> 96MB with a removeable disk icon is shown
>
> */Hcimonit.Exe/* reports
> You have 3 PCI USB OHCI host controller(s)
> You have 1 PCI ESB OHCI host controller(s)
>
> */Usbres.exe/*
> When run it reports USB Driver not found
>
> Finaly when I plug in the camera the memory access led flashes for a
> second or two,
> but Refresh Removable Media has no effect
>
> The motherboard uses a SiS 746 and SiS963 chipset.
>
> Any comments or advice would be welcome
>
> Regards
>
> Dennis
>

>  

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Fri, 12 Dec 2003 00:04:24 +1100 (AEDT)
From:  "Alan Duval" <amoht at ozemail dot com dot au>
Subject:   Java 1.42

Has anyone installed Java 1.42 from Innotec? 
I recently downloaded it and installed it to G:\java142 but it isn't working. 
In the tips section of Voice it states that one should put G:\java142\bin and G:\java142\dll into the Path and 
Libpath lines in advance of ones other Java paths.

My Config.sys Libpath has BIN and DLL statements that I can put the above in front of but the PATH line has 
only a Java BIN statement. Should I put only the Java142\bin statement in this line? or should I also put the 
Java142\dll statement somewhere in the line?

Also should I leave  Java 131 installed?

Regards

Alan

----------------------------------------------------------------------------------